League not opening

Comment below rating threshold, click here to show it.

Sodovio

Junior Member

2 Weeks Ago

So I have a Mac OS X ver 10.5.8 and i try opening league for the first time but a pop up screen asking to relaunch comes every time I try to open it. Some help will be much appreciated.


Comment below rating threshold, click here to show it.

Mike4Real

Senior Member

2 Weeks Ago

The minimum operation system for the Mac Client right now is OX X 10.6.8 Snow Leopard, you're on Leopard, so it wouldn't work. You might be able to upgrade to Snow Leopard on your computer though.

As a side note they plan on not supporting Snow Leopard soon, they were planning to do it on patch 4.8, and then 4.9 but it never happened.

The PBE client currently doesn't not work on Snow Leopard, after this was brought up on the PBE boards, the Mac minimums specs page for League of Legends was changed. This is inaccurate as the Live client currently works on Snow Leopard. You'd be more safe if you are able to upgrade to 10.7 Lion.